package com.ytpm.hydtw.wxapi;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;

import com.ytpm.hydtw.utils.WechatLoginHelper;

public class WXEntryActivity extends Activity {
    private WechatLoginHelper loginHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        loginHelper = WechatLoginHelper.getInstance(this);
        loginHelper.handleIntent(getIntent());
        finish();
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        setIntent(intent);
        loginHelper.handleIntent(intent);
        finish();
    }
}